import { Component, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { PastoralDomainService } from '../../services/crudServices/pastoral-domain.service';
import { StateService } from '../../services/state.service';
import { MyAppBase } from '../MyAppBase';


@Component({
  selector: 'ngx-happiness-group',
  template: `
  <best-list [group]="happinessGroup"></best-list>
  `,
  styleUrls: ['./happiness-group.component.scss']
})
export class BestListComponent extends MyAppBase {

  constructor(
    protected stateService: StateService,
    protected route: ActivatedRoute,
    protected pastoralDomainService: PastoralDomainService
  ) {
    super(stateService, route, pastoralDomainService);
  }
  pageOnInit(): void {
    this.stateService.SetPageTitle("Best");
  }
}

@Component({
  selector: 'ngx-happiness-week-group',
  template: `<happiness-week-list [group]="happinessGroup"></happiness-week-list>
  `,
  styleUrls: ['./happiness-group.component.scss']
})
export class HappinessWeekListComponent extends MyAppBase {

  constructor(
    protected stateService: StateService,
    protected route: ActivatedRoute,
    protected pastoralDomainService: PastoralDomainService
  ) {
    super(stateService, route, pastoralDomainService);
  }
  pageOnInit(): void {
    this.stateService.SetPageTitle("Happiness Weeks");
  }
}

